D4Science Infrastructure - Task #4606

Geonetwork dev 64 bit
Jul 01, 2016 03:38 PM - Fabio Sinibaldi

Status: Closed Start date: Jun 29, 2016
Priority: High Due date:
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: Development Environment

Enhancements
Infrastructure: Development
Description

Java in geoserver-dev2.d4science-ii.research-infrastructures.eu is 32 bit.
Can you please update to 64 bit?
Maybe it can be the opportunity to deploy it in a newer machine / tomcat?

Related issues:

Related to D4Science Infrastructure - Task #205: Automate the installation an... Closed May 30, 2015
Blocks D4Science Infrastructure - Task #3980: Configure geonetwork users in o... Closed May 10, 2016
Copied from D4Science Infrastructure - Task #4534: Expand GN resources RAM in... Closed Jun 29, 2016
History

#1 - Jul 01, 2016 03:38 PM - Fabio Sinibaldi
- Copied from Task #4534: Expand GN resources RAM in dev added

#2 - Jul 01, 2016 04:01 PM - Andrea Dell'Amico

- Status changed from New to In Progress

WOW :).
It seems that the JDK was manually installed, I'm trying to install the latest jdk 7 using the Ubuntu PPA.

#3 - Jul 01, 2016 04:11 PM - Andrea Dell'Amico

No way. The running kernel is 64 bit, but the whole distribution is a 32 bit one.

We can surely create a new VM (see #205 and #183), the problematic part could be the postgresql version: when we tried to upgrade postgres on the
dev geoservers, the restore failed because the GIS dependencies where agains specific postgis library versions.

#4 - Jul 06, 2016 04:03 PM - Fabio Sinibaldi

| tried to put the entire webapp folder in a SmartGear installed in my machine (tomcat 7, java 64, Ubuntu 12). Just changed the configuration in order
to make it use the same postgres database. Did some test (search, access) and everything works fine. | think we could test a VM for the webapp and
keep the DB in geoserver-dev2.

#5 - Jul 08, 2016 03:02 PM - Fabio Sinibaldi
- Related to Task #3980: Configure geonetwork users in order to integrate CKAN added

#6 - Jul 08, 2016 03:03 PM - Fabio Sinibaldi
- Related to deleted (Task #3980: Configure geonetwork users in order to integrate CKAN)

#7 - Jul 08, 2016 03:03 PM - Fabio Sinibaldi
- Blocks Task #3980: Configure geonetwork users in order to integrate CKAN added

#8 - Jul 08, 2016 04:49 PM - Andrea Dell'Amico
host is going to be geonetwork1-d-d4s.d4science.org, IP 146.48.122.226

#9 - Jul 08, 2016 06:56 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback
https://redmine.dev.d4science.org/issues/205
https://redmine.dev.d4science.org/issues/183

- % Done changed from 0 to 100

The VM is ready. You can access as root and gcube users. The tomcat instance runs as gcube, into the home directory you'll find the start/stop
scripts.

The webapps directory is /home/gcube/tomcat/webapps.
JMX is already active on port 8086.
There's a nginx reverse proxy in front of tomcat. The tomcat apps are only accessible through it on the standard web port. https can be enabled.

#10 - Jul 08, 2016 06:58 PM - Andrea Dell'Amico

does it need to be a smartgears installation?

#11 - Jul 11, 2016 11:52 AM - Fabio Sinibaldi
- Status changed from Feedback to Closed

No, thanks, just the tomcat.

#12 - Jul 13, 2016 03:12 PM - Fabio Sinibaldi

- Status changed from Closed to In Progress

We are going to try another approach.
Please, make it a Smartgear installation and also install an updated version of postgis with a "geonetwork" db acessible from the same machine and
from 146.48.87.217 (my pc).

#13 - Jul 13, 2016 07:47 PM - Andrea Dell'Amico

The db user will be geonetwork.

| need the name of the application context for the virtualhost configuration.

#14 - Jul 14, 2016 11:58 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

Smartgears and postgresql 9.4 installed. The geonetwork db has the postgis extensions active.

#15 - Jul 22, 2016 02:22 PM - Andrea Dell'Amico

- Related to Task #205: Automate the installation and configuration of the geonetwork servers added

#16 - Jul 22, 2016 02:23 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
